List Test Cases
curl --request GET \
--url https://api.pathors.com/v1/projects/{projectId}/test-cases \
--header 'Authorization: <authorization>'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/test-cases"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.pathors.com/v1/projects/{projectId}/test-cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{}
]
}List Test Cases
List all test cases for a project
GET
/
v1
/
projects
/
{projectId}
/
test-cases
List Test Cases
Request
GET https://api.pathors.com/v1/projects/{projectId}/test-cases
Path Parameters
string
required
The project ID
Headers
string
required
Bearer token using your developer key
Response
array
Array of test case objects with
id, name, systemPrompt, maxTurns, variables, and acceptanceCriteria.Example
curl https://api.pathors.com/v1/projects/{projectId}/test-cases \
-H "Authorization: Bearer dk_your_key"
{
"data": [
{
"id": "test-case-uuid",
"projectId": "project-uuid",
"name": "Greeting flow",
"systemPrompt": "You are a helpful assistant",
"maxTurns": 5,
"variables": {},
"acceptanceCriteria": [
{
"id": "criterion-uuid",
"testCaseId": "test-case-uuid",
"description": "Agent should greet the user"
}
],
"createdAt": "2026-03-23T00:00:00.000Z",
"updatedAt": "2026-03-23T00:00:00.000Z"
}
]
}
⌘I
